Yeni Linux Çekirdek Hatası; Red Hat, CentOS ve Debian Dağılımlarını Etkilemektedir

Güvenlik araştırmacıları, Linux çekirdeğindeki bir tamsayı taşması güvenlik açığı ve ayrıcalıklı olmayan bir kullanıcının hedeflenen sisteme süper kullanıcı erişimi sağlamasına olanak tanıyan ayrıntıları ve kavram kanıtı (PoC) istismarlarını yayınladı.

“Mutagen Astronomi” olarak adlandırılan bulut tabanlı güvenlik ve uyumluluk çözümleri sağlayıcısı Qualys tarafından keşfedilen güvenlik açığı, Temmuz 2007 ile Temmuz 2017 arasında yayımlanan, Red Hat Enterprise Linux, CentOS ve Debian dağıtımlarını etkileyen çekirdek sürümlerini etkiliyor.

Mutagen Astronomi savunmasızlığı CVE-2018-14634 olarak tarandı, bir bütün olarak işletim sistemlerinde en yaygın sorunlardan biri olan ve bellek tablolarını çalıştıran Linux kernel’in create_elf_tables () işlevinde bulunan yerel bir ayrıcalık yükseltme sorunudur.

Bu güvenlik açığından başarıyla yararlanabilmek için, saldırganların hedeflenen sisteme erişebilmeleri ve bir tampon taşmasına neden olan istismarlarını çalıştırmaları, böylece kötü amaçlı kodun çalıştırılması ve etkilenen sistemin tam denetiminin sağlanması gerekir.

linux-kernel-privilege-vulnerability-exploit

Qualys tarafından Salı günü yayınlanan bir güvenlik danışmanına göre, güvenlik açığı, SUID-root ikilileri aracılığıyla root için ayrıcalıkları yükseltmek için kullanılabilir, ancak yalnızca 64-bit sistemlerde çalışır.

“Onlar bu kusurdan yararlanmaya yeterince büyük bir adres alanı yok olarak bu sorun 32 bit sistemleri etkilemez. Systems nedeniyle istismar sırasında hafıza talepleri, bu sorundan etkilendiği olması olası değildir bellek 32GB daha azıyla” bir danışma Red Hat tarafından;  “Yalnızca b6a2fea39318 (” mm: değişken uzunluk argümanı desteği “, ancak 19.07.2007’den itibaren”) çekirdekler de029c11e6b1 (“exec: _STK_LIM’in en fazla% 75’ine arg argini”, 7 Temmuz 2017’den itibaren) ” şeklinde açıklanmaktadır.

Linux Kernel’in 2.6.x, 3.10.x ve 4.14.x sürümlerinin Mutagen Astronomi çatışmasına karşı savunmasız olduğu söyleniyor. Çoğu Linux dağıtımı, sorunu çözmek için uzun vadeli destekli çekirdeklerine da029c11e6b1 işlemlerini desteklemesine rağmen, Red Hat Enterprise Linux, CentOS ve Debian 8 Jessie (şu anki “eski haline getirilebilir” sürümü) düzeltmeyi henüz uygulamamış ve bu nedenle, hala savunmasız.

Çıktı Belgesi (PoC) Exploits Çıktı
Qualys, 31 Ağustos 2018’de Red Hat’a ve 18 Eylül 2018’de Linux çekirdeği geliştiricilerine yönelik güvenlik açığını bildirdi. Red Hat, kusurunu 7,8 CVSS’lik bir skorla “önemli” olarak atadı. Güvenlik güncellemelerini yayınlamaya başladı ve bu sorun ele alındı.

Red Hat; “Bu sorun, Red Hat Enterprise Linux 6, 7 ve Red Hat Enterprise MRG 2 ile birlikte gönderilen çekirdek paketlerinin sürümünü etkiler. 2. Red Hat Enterprise Linux 6, 7 ve Red Hat Enterprise MRG 2 için gelecekteki çekirdek güncellemeleri bu sorunu ele alacak”  demekte. Ancak, Red Hat Enterprise Linux 5 ile birlikte gönderilen Linux çekirdeğinin sürümleri Mutagen Astronomi güvenlik açığından etkilenmez.

Qualys araştırmacıları , kamuya açıklık için hem teknik detayları hem de kavram kanıtı (PoC) istismarlarını Exploit 1 , Exploit 2 yayınladılar .

Bir Cevap Yazın

Please log in using one of these methods to post your comment:

WordPress.com Logosu

WordPress.com hesabınızı kullanarak yorum yapıyorsunuz. Çıkış  Yap /  Değiştir )

Google fotoğrafı

Google hesabınızı kullanarak yorum yapıyorsunuz. Çıkış  Yap /  Değiştir )

Twitter resmi

Twitter hesabınızı kullanarak yorum yapıyorsunuz. Çıkış  Yap /  Değiştir )

Facebook fotoğrafı

Facebook hesabınızı kullanarak yorum yapıyorsunuz. Çıkış  Yap /  Değiştir )

Connecting to %s